import { Player } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";
import AdminMenu from "../index.js";

/**
 * 
 * @param {Player} player 
 */
export default function ShowRulesMenu(player) {
    const form = new ActionFormData()
        .title('§l§6ADMIN RULES')
        .body(`
1) Follow all player rules
2) Do not op anyone
3) Do not give players money or items
4) Do not break the map
5) Do not ban, kick, mute, or clear players without reason
6) If you are unsure about banning someone, ask luibara2
7) Ban everyone who breaks a rule, WITHOUT EXCEPTION

§l§cBreaking the rules will result in a ban!


`)
        .button('§cBack', "textures/ui/cancel");

    form.show(player).then(({ canceled }) => {
        if (canceled) {
            AdminMenu(player)
        }
    });
}
