import TPAMenu from "./TPAMenu.js";

/**
 * @param {Player} player
 */
export default function TPAToggle(player) {
    if (player.getTags().includes("blocktpa_all")) {
        player.removeTag("blocktpa_all");
        player.sendMessage("§aYou will now receive teleport requests.");
    } else {
        player.addTag("blocktpa_all");
        player.sendMessage("§cAll teleport requests are now blocked.");
    }

    // Reopen the TPA menu after toggling
    TPAMenu(player);
}
