import { ModalFormData } from "@minecraft/server-ui";

/**
 * 
 * @param {Player} player 
 */
export default function BroadcastMessage(player) {
    const modal = new ModalFormData()
        .title("§lBroadcast")
        .textField("Message", "Enter broadcast message");

    modal.show(player).then(result => {
        const message = result.formValues[0];

        if (message) {
            player.runCommand(`tellraw @a {"rawtext":[{"text":"{§l§3Broadcast§r§7} - §6${message}"}]}`);
        } else {
            player.sendMessage("§cPlease enter a message.");
        }
    });
}
