import { ActionFormData } from "@minecraft/server-ui";

import AdminMenu from "../index.js";



/**

 * 

 * @param {Player} player 

 */

export default function PlayerTeleport2(player) {

    const teleportDestinations = {

        "§f§lCMDs": [1000, 1, 1000]
    };



    const form = new ActionFormData().title('§3Teleport Menu');



    Object.keys(teleportDestinations).forEach(destination => {

        form.button(`§4${destination}`);

    });



    form.button('§cBack');



    form.show(player).then(({ canceled, selection }) => {

        if (canceled) return;

        

        const destinationName = Object.keys(teleportDestinations)[selection];

        const destinationCoordinates = teleportDestinations[destinationName];



        if (!destinationCoordinates) return AdminMenu(player);



        const [x, y, z] = destinationCoordinates;



        player.teleport({ x, y, z });

        player.sendMessage(`§aTeleported to ${destinationName}`);

    });

}

